---
title: AlarmImporter
---

# <a id="TecnoPack_AlarmImporter"></a> Class AlarmImporter

Namespace: [TecnoPack](TecnoPack.md)  
Assembly: CO0002\_Templ\_FlowpackHMI\_V00\_9\_3.dll  

Classe statica per l'importazione di allarmi da file Excel (.xlsx)
nella struttura del progetto FTOptix, inclusi dizionari e traduzioni.

```csharp
public static class AlarmImporter
```

#### Inheritance

[object](https://learn.microsoft.com/dotnet/api/system.object) ← 
[AlarmImporter](TecnoPack.AlarmImporter.md)

#### Inherited Members

[object.GetType\(\)](https://learn.microsoft.com/dotnet/api/system.object.gettype), 
[object.MemberwiseClone\(\)](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone), 
[object.ToString\(\)](https://learn.microsoft.com/dotnet/api/system.object.tostring), 
[object.Equals\(object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\)), 
[object.Equals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\-system\-object\)), 
[object.ReferenceEquals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals), 
[object.GetHashCode\(\)](https://learn.microsoft.com/dotnet/api/system.object.gethashcode)

## Methods

### <a id="TecnoPack_AlarmImporter_ImportAlarmsInsideOwner_UAManagedCore_IUANode_System_String_System_String_"></a> ImportAlarmsInsideOwner\(IUANode, string, string\)

Importa allarmi da un file Excel nella struttura del progetto,
collegandoli al nodo logico specificato.

```csharp
public static void ImportAlarmsInsideOwner(this IUANode owner, string alrmFilePath, string fileName)
```

#### Parameters

`owner` IUANode

Nodo logico a cui verranno aggiunti dizionari e allarmi.

`alrmFilePath` [string](https://learn.microsoft.com/dotnet/api/system.string)

Percorso completo del file Excel contenente gli allarmi.

`fileName` [string](https://learn.microsoft.com/dotnet/api/system.string)

Nome utilizzato per creare le sottocartelle nel progetto.

